
Figure - Bug #117722
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT3】【小窗模式】先后打开2个强制小窗应用，进入recent页面显示2个强制小窗应用信息
2023-04-28 14:15 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-28

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-14

Test Type: Release Test Root cause: 需求变更

Description

【测试步骤】

1、打开强制小窗应用一

2、打开强制小窗应用二

3、进入recent中查看页面显示

【预期结果】

3、步骤二中开的小窗卡片显示在小窗卡片的位置

步骤一中打开的应用在后台无相关显示

【测试结果】

recent页面显示已强制小窗应用一的信息

History

#1 - 2023-04-28 14:36 - 物联网测试组_CDTS  唐霞 

- Subject changed from 【AF】【EVT3】【小窗模式】先后打开2个强制小窗应用，进入recent页面现实2个强制小窗应用信息 to 【AF】【EVT3】【小窗模

式】先后打开2个强制小窗应用，进入recent页面显示2个强制小窗应用信息

#2 - 2023-05-04 15:25 - CD FW-鲁凯峰

目前正在使用新的方案来实现和Recent的交互,具体需求方面的问题需要和PM再次沟通一下

之前的方案是进入Recent后,小窗会销毁,所以每次只能显示一个小窗,需求也是说的在Recent里面只显示一个小窗的卡片

新的方案是进入Recent后,小窗只是退到后台,并没有实际销毁,所以目前的方案还需要再次讨论一下

#3 - 2023-05-05 20:07 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

显示多个小窗任务时,需要对Recent Task在过滤一次, 当有多个freeform task的时候,只显示从freeform helper里面拿到的那个

#4 - 2023-05-09 17:21 - CD APP-王营

- Status changed from New to ASSIGNED
#5 - 2023-05-10 11:48 - CD APP-王营

当前处理方案：

按照小窗要求，Recent列表数据显示的时候做一次过滤，此过滤依赖是否有小窗卡片存在

1、如果小窗卡片存在（mActivityTaskManager.getCurrentDisplayedFreeFormTask()），任务列表做过滤，将带有window_mode的task去掉，具体判断条件需

要和凯峰沟通。

2、如果小窗卡片不存在（mActivityTaskManager.getCurrentDisplayedFreeFormTask()），任务列表正常显示，不做过滤。

风险：

如果后台目前有多个小窗任务，mActivityTaskManager.getCurrentDisplayedFreeFormTask() ！= null 此时小窗卡片显示   recent task列表被过滤，无内容显示。

此时移除小窗卡片，mActivityTaskManager.getCurrentDisplayedFreeFormTask()==null  ，按照沟通的判断逻辑，recent task列表会将之前的小窗任务显示出来

。

此风险已知，先按照当前方案处理，后续问题待客户反馈。

#6 - 2023-05-13 17:16 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-14

- Root cause set to 需求变更

【当前状态】

1、问题已解决

【提交】

2、https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/199927

#7 - 2023-05-13 17:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199927 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Filter free form task in recent1.Filter free form task in recent task list when small window cardexist.TC-RID: 0301-0205302IssueID:

TS-R-BUG-117722Change-Id: If269209bd40a9e4c12562435aa663c6a4e877dfb

#8 - 2023-05-16 15:38 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

打开多个小窗应用，只会显示一个在小窗的位置，其他的不会显示在recent的列表展示页
小窗打开的应用不会显示在recent的列表中，小窗的只会显示当前

验证通过，关闭问题单

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0100.C103

#9 - 2023-05-16 15:38 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

Files

多任务管理页显示2个强制小窗应用信息.mp4 1.74 MB 2023-04-28 物联网测试组_CDTS  唐霞 
